import Foundation
import SwiftUI

struct LanguageKey: EnvironmentKey {

    static let defaultValue: ContentLanguage = .english
}

extension EnvironmentValues {

    var language: ContentLanguage {
        get { self[LanguageKey.self] }
        set { self[LanguageKey.self] = newValue }
    }
}
